#
# spec file for package bdfresize
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bdfresize
Version:        1.5
Release:        572.1
Summary:        A Tool for Resizing BDF Format Fonts
License:        GPL-2.0+
Group:          System/X11/Utilities
Url:            http://openlab.ring.gr.jp/efont/dist/tools/bdfresize/
Source0:        http://openlab.ring.gr.jp/efont/dist/tools/bdfresize/bdfresize-%{version}.tar.bz2
Patch0:         bdfresize-gcc4.patch
Patch1:         020_minus-sign.patch

%description
bdfresize is a command for magnifying or shrinking fonts described in the
standard BDF format.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1

%build
rm -f config.cache
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/bdfresize
%{_mandir}/man1/bdfresize.1%{ext_man}

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Sun Dec  3 2017 mpluskal@suse.com
- Cleanup with spec-cleaner
- Add 020_minus-sign.patch from debian
* Tue Dec 20 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr  8 2005 uli@suse.de
- fixed to build with GCC4
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Nov 14 2001 mfabian@suse.de
- new package: bdfresize-1.5
